# Update to the sis driver provided by clevo. It's based on release 0.9.1 fd.o
# release, but it does not have a version of itself. The tarball is the fd.o
# 0.9.1 release itself. The following date macro is the date when the patch
# from the provided driver and the release was generated.
#
# The last driver provided by SiS is from 14/05/09
# This tarball was generated with the commands:

%define date 20091203

Name: x11-driver-video-sisimedia
Version: 0.9.1
Release: %mkrel 10
Summary: Video driver for SiS 670 / 671 cards
Group: System/X11
URL: http://www.linuxconsulting.ro/xorg-drivers/
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.xz


Patch1:	xf86-video-sis-0.9.1-20102701.patch
Patch2: 0002-Remove-XFree86-Misc-PassMessage-support.patch
Patch3: 0003-Fix-build-with-Werror-format-security.patch
Patch4: 0005-Fix-backlight-off-on-SiS30x.-video-bridges.patch
Patch5: 0006-Add-IgnoreHotkeyFlag-driver-option.patch
Patch6:	xf86-video-sis-0.9.1-dump-regs-after-video-init.patch
Patch7: 0007-Remove-useless-loader-symbol-lists.patch
Patch8: 0008-update-to-xextproto-7-1-support.patch
Patch9: 0009-update-for-rac-removal.patch
Patch10: 0010-change-to-use-abi-version-check.patch
Patch11: 0011-more-rac-removal.patch
Patch12: 0012-remove-mibank-h-reference.patch
Patch13: 0013-Update-to-new-CreateNewResourceType-API.patch
Patch14: xf86-video-sis-0.9.1-automake-1.13.patch
Patch15: 0001-Remove-xorgconfig-xorgcfg-from-See-Also-list-in-man-.patch
Patch16: 0004-Make-sisRegs3D4-big-enough-to-hold-all-values-writte.patch
Patch17: 0005-Correct-bounds-check-of-blitClip-array-access.patch
Patch18: xserver112.patch
Patch19: pciTag-removal-workaround.patch
Patch20: Untangle-XF86DRI.patch
Patch21: swap-func-rename.patch
Patch22: xf86MapDomainMemory-pci_device_map_legacy.patch
Patch23: sync-with-freedesktop.patch
Patch24: fix-xv-crash.patch
Patch25: sisimedia-no-xaa.patch
Patch26: sisimedia-xorg-1.13.patch
Patch27: deprecated-sym2.patch
Patch28: disable-UploadToScreen-DownloadFromScreen.patch
Patch29: remove_mibstore.h.patch
Patch30: sisimedia-1.17.diff
Patch99: use-compat-api.patch
Patch100: disable-accel-mga19620.patch
Patch101: fix-build.patch
License: MIT
 
BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

Obsoletes: x11-driver-video-sis-imedia < %{version}-%{release}

%description
x11-driver-video-sisimedia is the video driver for SiS 670 / 671
cards. These are not supported by the X.org 'sis' driver. This code
is very different, so the two cannot be easily merged.

%prep
%setup -q -n xf86-video-sis-%{version}
%apply_patches

%build
# rename driver sisimedia so it can co-exist with x.org sis driver
# - AdamW 2008/08
sed -i -e 's,sis_drv,sisimedia_drv,g' src/Makefile.am
sed -i -e 's,\"sis\",\"sisimedia\",g' src/sis.h
sed -i -e 's,sisModuleData,sisimediaModuleData,g' src/sis_driver.c

autoreconf -ifs

%configure2_5x --disable-static
%make

%install
%makeinstall_std
# it's just a copy of the x.org driver manpage and so not really any
# use - AdamW 2008/08
rm -f %{buildroot}%{_mandir}/man4/sis.*

%files
%{_libdir}/xorg/modules/drivers/sisimedia_drv.la
%{_libdir}/xorg/modules/drivers/sisimedia_drv.so


%changelog
* Wed Jan 26 2022 tex - 0.9.1-10pclos2022
- rebuild against updates

* Mon Apr 15 2019 tex - 0.9.1-9pclos2019
- apply patch

* Thu Mar 21 2019 tex - 0.9.1-8.20091203.3pclos2019
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 0.9.1-7.20091203.2.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 0.9.1-2pclos2016
- rebuild new xorg

